## ros-noetic-rm-gazebo 0.1.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rm_gazebo)

## Use C++14
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

## By adding -Wall and -Werror, the compiler does not ignore warnings anymore,
## enforcing cleaner code.
add_definitions(-Wall -Werror)

## Find catkin macros and libraries
find_package(catkin REQUIRED
        COMPONENTS
        roscpp
        roslint
        rm_common

        gazebo_ros
        gazebo_ros_control
        )

# Depend on system install of Gazebo
find_package(gazebo REQUIRED)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}")

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
        INCLUDE_DIRS
        include
        LIBRARIES
        rm_robot_hw_sim
        rm_mimic_joint_plugin
        CATKIN_DEPENDS
        roscpp
        rm_common

        gazebo_ros
        gazebo_ros_control
        DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
        include
        ${catkin_INCLUDE_DIRS}
        ${GAZEBO_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(rm_robot_hw_sim
        src/rm_robot_hw_sim.cpp
        )

add_dependencies(rm_robot_hw_sim
        ${catkin_EXPORTED_TARGETS}
        )

target_link_libraries(rm_robot_hw_sim
        ${catkin_LIBRARIES}
        ${GAZEBO_LIBRARIES}
        )

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS rm_robot_hw_sim
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        )

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h"
        )

# Mark other files for installation
install(DIRECTORY config launch worlds
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        )
install(FILES rm_robot_hw_sim_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        )

#############
## Testing ##
#############

#if (${CATKIN_ENABLE_TESTING})
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
#  ## Add gtest based cpp test target and link libraries
#  catkin_add_gtest(${PROJECT_NAME}-test
#      test/test_ros_package_template.cpp
#      test/AlgorithmTest.cpp)
#  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
#endif ()

##########################
## Static code analysis ##
##########################

roslint_cpp()

=== debian/changelog ===
ros-noetic-rm-gazebo (0.1.17-1buster) buster; urgency=high

  * Merge pull request #99 <https://github.com/ye-luo-xi-tui/rm_control/issues/99> from ye-luo-xi-tui/master
    Fix bug
  * Fix bug.
  * Add gravity.
  * Merge branch 'rm-controls:master' into master
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Merge branch 'rm-controls:master' into master
  * Contributors: ye-luo-xi-tui, yezi, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.16-1buster) buster; urgency=high

  * Merge branch 'master' into new_ui_test
  * Merge branch 'master' into dev/command_sender
  * Merge pull request #79 <https://github.com/ye-luo-xi-tui/rm_control/issues/79> from ye-luo-xi-tui/rm_imu_handle
    Add RmImuSensorInterface and add a service to enable or disable imus in rm_gazebo
  * Add RmImuSensorInterface.
  * Add a service to enable or disable imus.
  * Merge branch 'dev'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'master' into rm_referee_pr
  * Merge pull request #74 <https://github.com/ye-luo-xi-tui/rm_control/issues/74> from ye-luo-xi-tui/dev
    Update 0.1.15
  * Merge branch 'master' into referee
    # Conflicts:
    #     rm_common/include/rm_common/decision/service_caller.h
    #     rm_msgs/CMakeLists.txt
    #     rm_msgs/msg/referee/GameRobotStatus.msg
    #     rm_msgs/msg/referee/GameStatus.msg
  * Merge branch 'master' into referee1
  * Contributors: ye-luo-xi-tui, yezi, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.15-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 02 Sep 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.14-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.13-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 12 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.12-1buster) buster; urgency=high

  * Merge pull request #59 <https://github.com/ye-luo-xi-tui/rm_control/issues/59> from ye-luo-xi-tui/master
    0.1.11
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 11 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.11-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, YuuinIH, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.10-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 22 May 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.9-1buster) buster; urgency=high

  * Revert "Update package.xml"
    This reverts commit 835659c320b5e1219ea9c61d04b4017a0c9a850a.
  * Update package.xml
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'master' of github.com:ye-luo-xi-tui/rm_control
  * Merge pull request #24 <https://github.com/ye-luo-xi-tui/rm_control/issues/24> from ye-luo-xi-tui/gazebo
    Load imu params into gazebo
  * Load imu params into gazebo.
  * Contributors: Jie j, QiayuanLiao, YuuinIH, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.8-1buster) buster; urgency=high

  * Fix imu inertia and add imu to balance
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update CHANGELOG
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update URDF of imu
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 07 Dec 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.7-1buster) buster; urgency=high

  * 0.1.6
  * Update CHANGELOG
  * Update URDF of imu
  * Merge branch 'namespace' into rm_gazebo/imu_sensor_interface
  * Merge pull request #8 <https://github.com/rm-controls/rm_control/issues/8> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control.
  * Change name of namespace:from hardware_interface to rm_control.
  * Fix some stupid imu_sensor_interface bug in rm_gazebo
  * Tested rm_gazebo imu data using Debug in line.
    TODO: Add gravity and noise to the data
  * Add imu_sensor_interface without test.
  * Contributors: QiayuanLiao, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.6-1buster) buster; urgency=high

  * Update URDF of imu
  * Merge branch 'namespace' into rm_gazebo/imu_sensor_interface
  * Merge pull request #8 <https://github.com/rm-controls/rm_control/issues/8> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control.
  * Change name of namespace:from hardware_interface to rm_control.
  * Fix some stupid imu_sensor_interface bug in rm_gazebo
  * Tested rm_gazebo imu data using Debug in line.
    TODO: Add gravity and noise to the data
  * Add imu_sensor_interface without test.
  * Contributors: QiayuanLiao, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.5-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.4-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.3-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'master' into master
  * Use “pragma once” in rm_gazebo headers instead of include guards.
  * Merge branch 'master' into master
  * Contributors: QiayuanLiao, chenzheng, ye-luo-xi-tui, yezi
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'master' into master
  * Use “pragma once” in rm_gazebo headers instead of include guards.
  * Merge branch 'master' into master
  * Contributors: QiayuanLiao, chenzheng, ye-luo-xi-tui, yezi



=== debian/control ===
Source: ros-noetic-rm-gazebo
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), gazebo11, ros-noetic-catkin, ros-noetic-gazebo-ros, ros-noetic-gazebo-ros-control, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-roslint
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo11, ros-noetic-gazebo-ros, ros-noetic-gazebo-ros-control, ros-noetic-rm-common, ros-noetic-rm-description, ros-noetic-roboticsgroup-upatras-gazebo-plugins, ros-noetic-roscpp, ros-noetic-roslint
Description: A template for ROS packages.

## ros-noetic-rm-gazebo 0.1.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 find_package(catkin REQUIRED
         COMPONENTS
         roscpp
-        roslint
         rm_common
 
         gazebo_ros
@@ -111,9 +110,3 @@
 #      test/AlgorithmTest.cpp)
 #  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
 #endif ()
-
-##########################
-## Static code analysis ##
-##########################
-
-roslint_cpp()

=== debian/changelog ===
ros-noetic-rm-gazebo (0.1.18-1focal) focal; urgency=high

  * Merge branch 'master' into dev/polygon_ui
  * Merge pull request #107 <https://github.com/ye-luo-xi-tui/rm_control/issues/107> from chenhuiYu00/gazebo_imu_reserve
    Fix imu problem in gazebo simulation.
  * Use list instead of vector.
  * Merge branch 'master' into gazebo_imu_reserve
  * Pre-allocate imu vector memory.
  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_control/issues/106> from YoujianWu/work
    Delete dependence roslint.
  * Run pre-commit.
  * Delete dependence roslint.
  * Merge branch 'master' into acceleration
    # Conflicts:
    #     rm_common/include/rm_common/decision/command_sender.h
  * Merge pull request #104 <https://github.com/ye-luo-xi-tui/rm_control/issues/104> from ye-luo-xi-tui/master
    0.1.17
  * Contributors: Kook, ye-luo-xi-tui, yezi, yuchen

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.17-1focal) focal; urgency=high

  * Merge pull request #99 <https://github.com/ye-luo-xi-tui/rm_control/issues/99> from ye-luo-xi-tui/master
    Fix bug
  * Fix bug.
  * Add gravity.
  * Merge branch 'rm-controls:master' into master
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Merge branch 'rm-controls:master' into master
  * Contributors: ye-luo-xi-tui, yezi, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.16-1focal) focal; urgency=high

  * Merge branch 'master' into new_ui_test
  * Merge branch 'master' into dev/command_sender
  * Merge pull request #79 <https://github.com/ye-luo-xi-tui/rm_control/issues/79> from ye-luo-xi-tui/rm_imu_handle
    Add RmImuSensorInterface and add a service to enable or disable imus in rm_gazebo
  * Add RmImuSensorInterface.
  * Add a service to enable or disable imus.
  * Merge branch 'dev'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'master' into rm_referee_pr
  * Merge pull request #74 <https://github.com/ye-luo-xi-tui/rm_control/issues/74> from ye-luo-xi-tui/dev
    Update 0.1.15
  * Merge branch 'master' into referee
    # Conflicts:
    #     rm_common/include/rm_common/decision/service_caller.h
    #     rm_msgs/CMakeLists.txt
    #     rm_msgs/msg/referee/GameRobotStatus.msg
    #     rm_msgs/msg/referee/GameStatus.msg
  * Merge branch 'master' into referee1
  * Contributors: ye-luo-xi-tui, yezi, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.15-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 02 Sep 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.14-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.13-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 12 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.12-1focal) focal; urgency=high

  * Merge pull request #59 <https://github.com/ye-luo-xi-tui/rm_control/issues/59> from ye-luo-xi-tui/master
    0.1.11
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 11 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.11-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, YuuinIH, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.10-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 22 May 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.9-1focal) focal; urgency=high

  * Revert "Update package.xml"
    This reverts commit 835659c320b5e1219ea9c61d04b4017a0c9a850a.
  * Update package.xml
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'master' of github.com:ye-luo-xi-tui/rm_control
  * Merge pull request #24 <https://github.com/ye-luo-xi-tui/rm_control/issues/24> from ye-luo-xi-tui/gazebo
    Load imu params into gazebo
  * Load imu params into gazebo.
  * Contributors: Jie j, QiayuanLiao, YuuinIH, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.8-1focal) focal; urgency=high

  * Fix imu inertia and add imu to balance
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update CHANGELOG
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update URDF of imu
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 07 Dec 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.7-1focal) focal; urgency=high

  * 0.1.6
  * Update CHANGELOG
  * Update URDF of imu
  * Merge branch 'namespace' into rm_gazebo/imu_sensor_interface
  * Merge pull request #8 <https://github.com/rm-controls/rm_control/issues/8> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control.
  * Change name of namespace:from hardware_interface to rm_control.
  * Fix some stupid imu_sensor_interface bug in rm_gazebo
  * Tested rm_gazebo imu data using Debug in line.
    TODO: Add gravity and noise to the data
  * Add imu_sensor_interface without test.
  * Contributors: QiayuanLiao, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-gazebo (0.1.6-1focal) focal; urgency=high

  * Update URDF of imu
  * Merge branch 'namespace' into rm_gazebo/imu_sensor_interface
  * Merge pull request #8 <https://github.com/rm-controls/rm_control/issues/8> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control.
  * Change name of namespace:from hardware_interface to rm_control.
  * Fix some stupid imu_sensor_interface bug in rm_gazebo
  * Tested rm_gazebo imu data using Debug in line.
    TODO: Add gravity and noise to the data
  * Add imu_sensor_interface without test.
  * Contributors: QiayuanLiao, qiayuan, yezi



=== debian/control ===
Source: ros-noetic-rm-gazebo
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), gazebo11, ros-noetic-catkin, ros-noetic-gazebo-ros, ros-noetic-gazebo-ros-control, ros-noetic-rm-common, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo11, ros-noetic-gazebo-ros, ros-noetic-gazebo-ros-control, ros-noetic-rm-common, ros-noetic-rm-description, ros-noetic-roboticsgroup-upatras-gazebo-plugins, ros-noetic-roscpp
Description: A template for ROS packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-gazebo//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
